import 'package:flutter/material.dart';
typedef STBtnTapCallback = void Function();

enum STEmojiName {Smile, Sad}

class STEmojiBtn extends StatefulWidget {
  STBtnTapCallback? callback;
  STEmojiName name;

  STEmojiBtn({this.name = STEmojiName.Smile, this.callback, Key? key}): super(key: key);

  @override
  _STEmojiBtnState createState() => _STEmojiBtnState();
}

class _STEmojiBtnState extends State<STEmojiBtn> {
  @override
  Widget build(BuildContext context) {
    return GestureDetector(
      onTap:widget.callback,
      child: Container(child: Image(image: AssetImage(getName()),),),
    );
  }
  String getName() {
    String name = '';
    switch (widget.name) {
      case STEmojiName.Smile:
        name = 'lib/images/emoji_qq_01.png';
        break;
      case STEmojiName.Sad:
        name = 'lib/images/emoji_qq_02.png';
        break;
    }
    return name;
  }
}
